diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/GNUmakefile gate_v3.1.1/Cluster_Tools/jobsplitter/GNUmakefile
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/GNUmakefile	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/GNUmakefile	2007-11-28 17:51:10.000000000 +0100
@@ -1,11 +1,11 @@
 
 # define your default platform
-DEFAULT_PLATFORM := openmosix
+DEFAULT_PLATFORM := openmosix
 #DEFAULT_PLATFORM := condor
-#DEFAULT_PLATFORM := openPBS
+#DEFAULT_PLATFORM := openPBS
 
 
-CPPFLAGS += -DGC_DEFAULT_PLATFORM=\"$(DEFAULT_PLATFORM)\"
+CPPFLAGS += -DGC_DEFAULT_PLATFORM=\"$(DEFAULT_PLATFORM)\" -DGC_DEFAULT_WALLTIME=\"01:00:00\"
 
 name := gjs
 G4TARGET := $(name)


diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/gjs.cc gate_v3.1.1/Cluster_Tools/jobsplitter/gjs.cc
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/gjs.cc	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/gjs.cc	2007-11-28 18:06:57.000000000 +0100
@@ -66,6 +66,7 @@ int main(int argc,char** argv)
 	G4String platform="";
 	G4String macfile;
 	G4String pbsscript;
+	G4String walltime = "";
 	G4String condorscript;
 	G4int nSplits=0;
 	G4int nextArg = 1;
@@ -132,6 +133,12 @@ int main(int argc,char** argv)
 			pbsscript=argv[nextArg+1];
 			if(debug)cout<<"found -openPBSscript "<<pbsscript<<endl;
 		}  
+		if (!strcmp(argv[nextArg],"-walltime") && indicator==0)
+		{
+			indicator=1;
+			walltime=argv[nextArg+1];
+			if(debug)cout<<"found -walltime "<<walltime<<endl;
+		}  
 		if (!strcmp(argv[nextArg],"-condorscript") && indicator==0)
 		{
 			indicator=1;
@@ -204,6 +211,11 @@ int main(int argc,char** argv)
 			cout<<"Error : cluster platform is condor but condorscript is not supplied!"<<endl;
 			exit(1);
 		}
+		if (walltime=="")
+		{
+		    walltime = GC_DEFAULT_WALLTIME;
+		    if(verb>0)cout<<"Warning : walltime not set. Using default ("<<GC_DEFAULT_WALLTIME<<")!"<<endl;
+		}
 	}
 	else {
 		cout<<"Error : cluster platform not supported or invalid!"<<endl;
@@ -218,7 +230,7 @@ int main(int argc,char** argv)
 	}
 	//create a splitmanager to coordinate it all  
 	GateSplitManager* manager;
-	manager=new GateSplitManager(nAliases,aliases,platform,pbsscript,condorscript,macfile,nSplits,time);
+	manager=new GateSplitManager(nAliases,aliases,platform,pbsscript,condorscript,macfile,nSplits,time, walltime);
 	manager->SetVerboseLevel(verb);
 	manager->StartSplitting(seeds);


diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/include/GateSplitManager.hh gate_v3.1.1/Cluster_Tools/jobsplitter/include/GateSplitManager.hh
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/include/GateSplitManager.hh	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/include/GateSplitManager.hh	2007-11-28 18:03:44.000000000 +0100
@@ -30,7 +30,7 @@ class GateSplitManager
 {
 public:
 
-  GateSplitManager(G4int nAliases,G4String* aliases,G4String platform,G4String pbsscript,G4String condorscript,G4String macfile,G4int nSplits,G4int time);
+  GateSplitManager(G4int nAliases,G4String* aliases,G4String platform,G4String pbsscript,G4String condorscript,G4String macfile,G4int nSplits,G4int time, G4String walltime);
   ~GateSplitManager();
   void SetVerboseLevel(G4int value) { m_verboseLevel = value; };
   void StartSplitting(G4int seeds);


diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/include/GateToPlatform.hh gate_v3.1.1/Cluster_Tools/jobsplitter/include/GateToPlatform.hh
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/include/GateToPlatform.hh	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/include/GateToPlatform.hh	2007-11-28 18:01:22.000000000 +0100
@@ -35,7 +35,7 @@ class GateToPlatform
 {
 public:
   GateToPlatform();
-  GateToPlatform(G4int numberOfSplits, G4String thePlatform, G4String pbsscript,G4String theCondorScript,G4String outputMacName,G4int time);
+  GateToPlatform(G4int numberOfSplits, G4String thePlatform, G4String pbsscript,G4String theCondorScript,G4String outputMacName,G4int time, G4String walltime);
   ~GateToPlatform();
   void SetVerboseLevel(G4int value) { m_verboseLevel = value; };
   int GenerateSubmitfile(G4String outputMacDir);
@@ -54,5 +54,6 @@ protected: 
   G4String outputMacfilename;
   G4String outputDir;
   G4int useTiming;
+  G4String m_walltime;
 };
 #endif


diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/src/GateSplitManager.cc gate_v3.1.1/Cluster_Tools/jobsplitter/src/GateSplitManager.cc
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/src/GateSplitManager.cc	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/src/GateSplitManager.cc	2007-11-28 18:05:48.000000000 +0100
@@ -20,9 +20,9 @@ See GATE/LICENSE.txt for further details
 
 #include "GateSplitManager.hh"
 GateSplitManager::GateSplitManager(G4int nAliases,G4String* aliases,G4String platform,G4String pbsscript,
-                                   G4String condorscript,G4String macfile,G4int nSplits,G4int time)
+                                   G4String condorscript,G4String macfile,G4int nSplits,G4int time, G4String walltime)
 {
- toPlatform = new GateToPlatform(nSplits,platform,pbsscript,condorscript,macfile,time);
+ toPlatform = new GateToPlatform(nSplits,platform,pbsscript,condorscript,macfile,time, walltime);
  macParser  = new GateMacfileParser(macfile,nSplits,nAliases,aliases);
  aSeeder    = new GateSeeder();
  numberOfSplits=nSplits;


diff -rup gate_v3.1.1-orig/Cluster_Tools/jobsplitter/src/GateToPlatform.cc gate_v3.1.1/Cluster_Tools/jobsplitter/src/GateToPlatform.cc
--- gate_v3.1.1-orig/Cluster_Tools/jobsplitter/src/GateToPlatform.cc	2007-03-20 16:18:41.000000000 +0100
+++ gate_v3.1.1/Cluster_Tools/jobsplitter/src/GateToPlatform.cc	2007-11-28 17:59:29.000000000 +0100
@@ -20,7 +20,7 @@ See GATE/LICENSE.txt for further details
 ----------------------*/
 
 #include "GateToPlatform.hh"
-GateToPlatform::GateToPlatform(G4int numberOfSplits, G4String thePlatform, G4String thePbsscript, G4String theCondorScript, G4String outputMacName, G4int time)
+GateToPlatform::GateToPlatform(G4int numberOfSplits, G4String thePlatform, G4String thePbsscript, G4String theCondorScript, G4String outputMacName, G4int time, G4String walltime)
 {
 	nSplits=numberOfSplits;
 	platform=thePlatform;
@@ -28,6 +28,7 @@ GateToPlatform::GateToPlatform(G4int num
 	condorScript=theCondorScript;
 	useTiming=time;
 	outputMacfilename=outputMacName.substr(0,outputMacName.length()-4);
+	m_walltime = walltime;
 }
 
 GateToPlatform::~GateToPlatform()
@@ -104,6 +105,8 @@ int GateToPlatform::GenerateOpenPBSScrip
 				if(pos<buf.length())  buf=buf.substr(0,pos)+"log"+cnt.str()+buf.substr(pos+6);
 				pos=buf.find("GC_ERR");
 				if(pos<buf.length())  buf=buf.substr(0,pos)+"err"+cnt.str()+buf.substr(pos+6);
+				pos=buf.find("GC_WALLTIME");
+				if(pos<buf.length())  buf=buf.substr(0,pos)+m_walltime+buf.substr(pos+11);
 				pos=buf.find("GC_JOBNAME");
 				if(pos<buf.length())  {
 					//openPBS max_jobname_length=15

